% Datei FlaechenProfil.m
% berechnet das x-y-FlaechenProfil der Flussdichte einer Dreileiter-
% Anordnung auf halber Leiterhoehe und gibt es grafisch aus.
% zunchst werden die Konstanten festgelegt
% ruft die Funktion Effektiv(r,x,y,z,Fi,I0,d0,f) auf
% Autor H. J. Wagner 19. 2. 2007
% 14. 10. 2007: Erluterungen hinzugefgt
% Hinweis:
%  die nachstehend verwendeten Werte dienen nur als Beispiele und sind
%  beim Versuch durch Messwerte und aktuelle Versuchsgren zu ersetzen!!!
%  
%
%
clear all;
close all;
I0=[400 400 400]*sqrt(2);  % Stromstaerken (A) (Scheitelwerte!!!)
Fi=[0 -120,-240]; % Phasenwinkel (Grad)
d0=0.01; % Leiterdurchmesser (m)
dK=1.5*d0; % Kabeldurchmesser (m);
a=1.5*dK; % Hilfsgre fr die Berechnung des Leiterabstands (m)
% Hinweis:  die Mittelpunkte der Leiter werden hier beispielhaft als 
%           Eckpunkte eines gleichseitigen Dreiecks angeordnet!!!!!
xn=[-a/2,0,a/2]; % y-Koordinaten der Leitermittelpunkte (m)
yn=[-0.25*sqrt(3)*a,0.25*sqrt(3)*a,-0.25*sqrt(3)*a]; % y-Koordinaten
z=[0 2]; % z-Koordinaten der Leiterendpunkte (m)
f=50; % Frequenz in Hz
rp=[0 0 sum(z)/2]; % Vorbelegung des Messpunktortsvektors
ix=linspace(-a,a,100); % x-Werte des Messpunktrasters
yps=linspace(-a,a,100); % y-Werte des Messpunktrasters
[X,Y]=meshgrid(ix,yps);
s=size(X);
for k1=1:s(1); % Doppelschleife zur Variation der Messkoordinaten
    for k2=1:s(2);
        rp(1)=X(k1,k2);
        rp(2)=Y(k1,k2);
        B(k1,k2)= Effektiv(rp,xn,yn,z,Fi,I0,d0,f);% Funktionsaufruf
    end; 
end;
surf(X,Y,B); % grafische Darstellung (3-dimensional)
shading flat;
grid on;
title('x-y-Profil der magnetischen Flussdichte');
xlabel('x/m');
ylabel('y/m');
zlabel('B/T');